# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class apac_voluntarios_horario(osv.Model):
    _name = 'apac.voluntarios.horario'
    _description = 'Cadastro de Horario dos voluntarios'
    _rec_name = 'apcvlh_dia_da_semana'
    _columns = {
        'apcvlh_voluntario_id': fields.many2one('apac.voluntarios', 'Voluntario', required=True, select=True),
        'apcvlh_dia_da_semana': fields.selection(
            [('1', 'Domingo'), ('2', 'Segunda'), ('3', 'Terca'), ('4', 'Quarta'), ('5', 'Quinta'), ('6', 'Sexta'),
             ('7', 'Sabado'), ], 'Dia da semana', required=True, size=1),
        'apcvlh_hora_inicio': fields.float('Hora inicio'),
        'apcvlh_hora_fim': fields.float('Hora fim'),
        'apcvlh_local': fields.char('Local', size=50),
    }

