# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv


class asfipo_oficio(osv.Model):
    _name = 'asfipo.oficio'
    _inherit = 'asfipo.oficio'

    def sequence_criar(self, cr, uid, context=None):
        company_id = 1
        __code = 'asfipo.nro_oficio'
        __name = 'Numero do Oficio'
        vals = {
            'name': __name,
            'code': __code,
            'prefix': 'D-%(year)s-',
            'padding': 4,
            'company_id': company_id,
            'implementation': 'no_gap',
        }
        consulta = self.pool.get('ir.sequence').search(cr, uid, [('code', '=', __code)], context=context)
        if not consulta:
            self.pool.get('ir.sequence').create(cr, uid, {'name': __name, 'code': __code}, context)
            #todo: verificar se e possivel isolar a transacao para apenas comitar no ir.sequence
            cr.commit()
        self.pool.get('ir.sequence').create(cr, uid, vals, context)
        #todo: verificar se e possivel isolar a transacao para apenas comitar no ir.sequence
        cr.commit()
        return True

    def create(self, cr, uid, vals, context=None):
        vals['asfofi_numero'] = self.pool.get('adm.utils').get_sequence(cr, uid, self._name, 'asfipo.nro_oficio')
        result = super(asfipo_oficio, self).create(cr, uid, vals, context)
        return result

