# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
import time


class asfipo_encaminhamento_especialistas(osv.Model):
    _name = 'asfipo.encaminhamento.especialistas'
    _columns = {
        'asfeep_cadastro_id': fields.many2one("asfipo.cadastro", 'Nome do Encaminhado(a)', ondelete="no action",
                                              required=True, select=True), # id do dependente
        'asfeep_especialidade_id': fields.many2one("asfipo.especialidades", 'Especialidade', ondelete="no action",
                                                   required=True, select=True), # id da especialidade
        'asfeep_especialista_id': fields.many2one("adm.pessoa", 'Especialista', ondelete="no action", required=True,
                                                  select=True), # id do especialista
        'asfeep_data': fields.date('Data'), # data do encaminhamento\n
        'asfeep_observacoes': fields.text('Informacoes complementares'), # Informacoes complementares
    }
    _defaults = {
        'asfeep_data': lambda *a: time.strftime('%Y-%m-%d'),
    }

