# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
import time


class asfipo_ocorrencias(osv.Model):
    _name = 'asfipo.ocorrencias'
    _columns = {
        'asfoco_cadastro_id': fields.many2one("asfipo.cadastro", 'Nome do Encaminhado(a)', ondelete="no action",
                                              required=True, select=True),
        'asfoco_data_hora': fields.datetime('Data/Hora', required=True), # data e hora da ocorrencia
        'name': fields.char('Descricao da Ocorrencia', size=45, required=True), # Descricao da ocorrencia
        'asfoco_responsavel_id': fields.many2one("adm.pessoa", 'Responsavel', ondelete="no action", required=True,
                                                 select=True, domain="[('pessoa_tipo', '=', 'F')]"),
    }
    _defaults = {
        'asfoco_data_hora': lambda *a: time.strftime('%Y-%m-%d %H:%M:%S'),
    }

