# -*- encoding: utf-8 -*-

import time
from SigUtils import datas
from openerp.report import report_sxw
from openerp.osv import osv


class rel_oficio(report_sxw.rml_parse):
    _name = 'report.asfipo.oficio'

    def __init__(self, cr, uid, name, context):
        context = context and context.copy() or {}
        super(rel_oficio, self).__init__(cr, uid, name, context=context)
        if context['active_model'] == 'asfipo.encaminhamento.grupos':
            vals = {
                'asfofi_encaminhamento_id': context['id'],
            }
            oficio_id = self.pool.get('asfipo.oficio').create(cr, uid, vals, context)
            context['active_model'] = 'asfipo.oficio'
            context['active_ids'] = [oficio_id]
        self.localcontext.update({
            'time': time,
            'datas': datas,
        })
        self.context = context


report_sxw.report_sxw('report.asfipo.oficio', 'asfipo.oficio', 'report/rel_oficio.rml', parser=rel_oficio)
