# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from ...inter import Inter
from openerp.tools.translate import _
from ....adm.control.utils import admConfiguracao
from openerp.tools import config as openerp_config


class financeiro_tesouraria_contas(osv.Model):

    _inherit = 'financeiro.tesouraria.contas'

    def banfin_inter_btn_registrar_callback(self, cr, uid, ids, context=None):
        brwConta = self.browse(cr, uid, ids[0], context=context)
        bInter = Inter(cr, uid, ids[0], context=context)
        if not bInter.status:
            return {'status': False, 'mensagem': bInter.mensagem}
        res = bInter.inter_registrar_pix_callback(brwConta.fintco_bf_pix_chave_conta)
        if not res.get('status'):
            raise osv.except_osv(_('Atencao!'), res.get('mensagem'))
        res = bInter.inter_registrar_cob_callback()
        if not res.get('status'):
            raise osv.except_osv(_('Atencao!'), res.get('mensagem'))
        res = bInter.inter_registrar_pag_callback()
        if not res.get('status'):
            raise osv.except_osv(_('Atencao!'), res.get('mensagem'))
        return res

    def banfin_button_configurar_acesso_bd(self, cr, uid, ids, context=None):
        cfg = admConfiguracao('bancos_financeiro', cr.dbname, cripto=True)
        cfg.addParametro('db_host', openerp_config.get('db_host'))
        cfg.addParametro('db_port', str(openerp_config.get('db_port')))
        cfg.addParametro('db_user', openerp_config.get('db_user'))
        cfg.addParametro('db_password', openerp_config.get('db_user'))
        cfg.addParametro('sigerp_porta', str(openerp_config.get('http_port')))
        cfg.gravarConfiguracao()
