# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel França
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
import blinktrade


class coin_servicos(osv.Model):
    """
    Classe para controle dos serviços(API)
    prefixo:coisrv
    """
    _inherit = 'coin.servicos'

    def coisrv_api_get_ticker(self, cr, uid, broker, moeda_code, moeda_par, context=None):
        res = super(coin_servicos, self).coisrv_api_get_ticker(cr, uid, broker, moeda_code, moeda_par, context=context)
        if broker.lower() == 'foxbit':
            res = blinktrade.blinktrade_get_ticker(moeda_code)
        return res

    def coisrv_api_get_trade(self, cr, uid, context=None):
        return True