# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel França
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class coin_broker_moedas(osv.Model):
    """
    Cadastro de moedas nos operadores(brokers)
    prefixo:coibrm
    """
    _name = 'coin.broker.moedas'
    _columns = {
        'coibrm_broker_id': fields.many2one('coin.brokers','Operador', required=True, select=True,
                                             ondelete='cascade'),
        'coibrm_moeda_id': fields.many2one('coin.moedas','Moeda', required=True, select=True,
                                           ondelete='cascade'),
        'coibrm_codigo': fields.char('Codigo da moeda no operador', required=True, size=10, select=1),
        'coibrm_par': fields.char('Codigo do par', required=True, size=10, select=1),
    }

