# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel França
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
import logging


class coin_robot_historicos(osv.Model):
    """
    robot para avaliação de oportunidades
    prefixo:coibhi
    """
    _name = 'coin.robot.historicos'
    _logger = logging.getLogger(_name)
    _columns = {
        'coibhi_robot_id': fields.many2one('coin.robot','Robot', required=True, select=1, ondelete='cascade'),
        'create_date': fields.datetime('Data', readonly=True, select=True),
        'coibhi_historico': fields.text('Historico'),
        'coibhi_operacao': fields.selection([('O', 'Operou'),('H', 'Historico')], 'Operacao', size=1),
    }
    _defaults = {
        'coibhi_operacao':'H',
    }
    _order = 'create_date desc'
