#!/usr/bin/python
# -*- encoding: utf-8 -*-

COL_EST01 = {
    'name': 'Produto',
    0: 'Codigo Item',
    1: 'Digito',
    2: 'Unidade',
    3: 'Chave Grupos',
    4: 'Margem Ideal',
    5: 'Margem Minima',
    6: 'Margem Bruta',
    7: 'MVA',
    8: 'CST no UF',
    9: 'CST fora UF',
    10: 'CST Produtor Rural',
    11: 'CST Ultima Entrada',
    12: 'Codigo Tributacao Consumidor Final',
    13: 'Codigo Tributacao Contribuinte',
    14: 'Codigo Tributacao Produtor',
    15: 'Codigo Tributacao Entrada',
    16: 'Codigo Tributacao Substituicao',
    17: 'Codigo Tributacao Substiuicao Entrada',
    18: 'Aliquota IPI',
    19: 'Classificacao Fiscal',
    20: 'Classificacao NCM',
    21: 'PIS',
    22: 'PIS CST Entrada',
    23: 'PIS CST Saida',
    24: 'PIS Codigo da Natureza da Receita',
    25: 'COFINS',
    26: 'COFINS CST Entrada',
    27: 'COFINS CST Saida',
    28: 'COFINS Codigo da Natureza da Receita',
    29: 'Fornecedor Principal',
    30: 'Representante',
    31: 'Tempo Reposicao',
    32: 'Tem Grade',
    33: 'Comprador',
    34: 'Tem Serie',
    35: 'Politica Preco',
    36: 'Conta Custos',
    37: 'Servico Agregado',
    38: 'Kit Mercadorias',
    39: 'Kit Tipo Preco',
    40: 'Kit Montagem',
    41: 'Codigo Excessao NCM',
    42: 'Codigo Enquadramento IPI',
    43: 'Codigo Genero',
    44: 'Codigo Tabela Servicos',
    45: 'Ultima Pauta',
    46: 'Producao Propria',
    47: 'Tipo do Item',
    48: 'Codigo Produto na ANP',
    49: 'Codigo CEST',
}

COL_EST03 = {
    'name': 'Movimento Estoque',
    0: 'Codigo Item',
    1: 'Grade',
    2: 'Local',
    3: 'Entrada/Saida',
    4: 'Tipo Movimento',
    5: 'Tipo Programa',
    6: 'Cliente/Fornecedor',
    7: 'Serie',
    8: 'Numero Documento',
    9: 'Sequencia',
    10: 'Data Movimento',
    11: 'Data Documento',
    12: 'Quantidade',
    13: 'Departamento',
    14: 'Vendedor',
    15: 'Vendedor Externo',
    16: 'Serie Conhecimento',
    17: 'Conhecimento de Frete',
    18: 'Fornecedor Frete',
    19: 'Valor Frete',
    20: 'Situacao Tributaria Frete',
    21: 'CST',
    22: 'Codigo Tributacao',
    23: 'Codigo Tributacao Entrada',
    24: 'CFOP',
    25: 'Aliquota ICMS',
    26: 'Base ICMS',
    27: 'Valor ICMS',
    28: 'Valor IPI',
    29: 'Valor ICMS Substituicao NF',
    30: 'Valor ICMS Substituicao Guia',
    31: 'MVA',
    32: 'Aliquota IPI',
    33: 'Valor PIS',
    34: 'Valor Cofins',
    35: 'Valor Outros Extra',
    36: 'Valor Outros',
    37: 'Valor (Indefinido)',
    38: 'Preco Medio',
    39: 'Custo Corrigido',
    40: 'Ultimo Custo',
    41: 'Preco Reposicao',
    42: 'Preco Venda Deflacionado',
    43: 'Preco na NF',
    44: 'Pedido',
    45: 'Usuario',
    46: 'Desconto',
    47: 'Loja',
    48: 'Caixa',
    49: 'Base IPI',
    50: 'Com/Sem NF'
}

COL_EST04 = {
    'name': 'Categoria',
    0: 'Categoria',
    1: 'Categoria Nome',
    2: 'Tipo',
    3: 'Conta Custos',
    4: 'Conta Contabil',
}

COL_EST05 = {
    'name': 'Grade',
    0: 'Codigo Produto',
    1: 'Grade',
    2: 'Grade Descricao',
    3: 'Nome Resumido',
    4: 'Qtde Minima',
    5: 'Qtde Maxima',
    6: 'Balanca',
    7: 'Peso Unidade',
    8: 'Validade',
    9: 'Tecla Balanca',
    10: 'Setor',
    11: 'Lista Pesquisa',
    12: 'Qtde Entrada',
    13: 'Data Entrada',
    14: 'Qtde Saida',
    15: 'Data Saida',
    16: 'Periodo Dia',
    17: 'Periodo Semana',
    18: 'Periodo Quinzena',
    19: 'Periodo Mes',
    20: 'Item Ativo',
    21: 'Data Inclusao',
    22: 'Codigo para Baixa',
    23: 'Grade para Baixa',
}

COL_EST10 = {
    'name': 'Saldo',
    0: 'Codigo Item',
    1: 'Grade',
    2: 'Local',
    3: 'Unidade',
    4: 'Qtde Embalagem',
    5: 'Lastro',
    6: 'Capacidade Palete',
    7: 'Locacao',
    8: 'Saldo C',  # TODO: PROCURAR SABER O Q É
    9: 'Requisitado C',  # TODO: PROCURAR SABER O Q É
    10: 'Saldo S',  # TODO: PROCURAR SABER O Q É
    11: 'Requisitado S',  # TODO: PROCURAR SABER O Q É
    12: 'Lastro'
}

COL_EST11 = {
    'name': 'Vendedor',
    0: 'Chave Legado',
    1: 'Vendedor Nome',
}

COL_EST13 = {
    'name': 'Requisicao',
    0: 'Locacao',
    1: 'Requisicao',
    2: 'Codigo Item',
    3: 'Grade',
    4: 'Local Entrada',
    5: 'Local Saida',
    6: 'Quantidade',
    7: 'Data Requisicao',
    8: 'Qtde Confirmada',
    9: 'Empresa Saida',
    10: 'Ja Separado',
    11: 'Ja Exportado',
}

COL_EST14 = {
    'name': 'Tributacao',
    0: 'Chave Legado',
    1: 'Tributacao Nome',
    2: 'Aliquota',
    3: 'Base',
    4: 'Dispositivo Fiscal 1',
    5: 'Dispositivo Fiscal 2',
    6: 'Dispositivo Fiscal 3',
    7: 'Tipo',
    8: 'Imposto',
    9: 'Tributacao ICMS Sobre IPI',
    10: 'Base Reduzida Descricao',  # todo: procurar saber o q e
    11: 'Base Substuicao Integral'
}

COL_EST15 = {
    'name': 'Local',
    0: 'Local Numero',
    1: 'Local Nome',
    2: 'Excluir Consultas',
    3: 'Aceita Saldo Negativo',
    4: 'Conta Custos',
}

COL_EST16 = {
    'name': 'Comprador',
    0: 'Chave Legado',
    1: 'Comprador Nome',
}

COL_EST17 = {
    'name': 'Codigo Barras',
    0: 'Codigo Item',
    1: 'Grade',
    2: 'Codigo Barra',
    3: 'Qtde Embalagem',
    4: 'Unidade',
    5: 'Emite Etiqueta',
    6: 'Modelo Etiqueta',
    7: 'Ultima Data',
    8: 'Peso Embalagem',
}

COL_EST18 = {
    'name': 'Grade - Descricao Complementar',
    0: 'Codigo Item',
    1: 'Grade',
    2: 'Descricao',
}

COL_EST19 = {
    'name': 'Unidade',
    0: 'Unidade',
    1: 'Nome',
    2: 'Aceita Fracao',
}

COL_EST21 = {
    'name': 'Setor',
    0: 'Chave Legado',
    1: 'Setor Nome',
}

COL_EST22 = {
    'name': 'Funcionario',
    0: 'Local',
    1: 'Codigo Repositor',
    2: 'Funcionario Nome',
}

COL_EST24 = {
    'name': 'ECF',
    0: 'Caixa',
    1: 'Sequencia',
    2: 'Local',
    3: 'Com/Sem NF',
    4: 'Departamento',
    5: 'Numero Serie',
    6: 'CRO',
    7: 'Situacao',
    8: 'Fabricante',
    9: 'Modelo',
}

COL_EST29 = {
    'name': 'Concorrentes Itens',
    0: 'Concorrente Codigo',
    1: 'Produto Codigo',
    2: 'Grade',
    3: 'Data Coleta',
    4: 'Preco (2 Casas Decimais)',
}

COL_EST30 = {
    'name': 'Concorrentes',
    0: 'Concorrente Codigo',
    1: 'Concorrente Nome',
}

COL_EST33 = {
    'name': 'Politica Especial',
    0: 'Codigo Item',
    1: 'Grade',
    2: 'Data Inicio',
    3: 'Data Final',
    4: 'Preco Venda',
    5: 'Usuario',
}

COL_EST38 = {
    'name': 'Pedido de Fornecedor (CAPA)',
    0: 'Pedido',
    1: 'Fornecedor',
    2: 'Representante',
    3: 'Data Pedido',
    4: 'Data Entrega',
    5: 'Transportador',
    6: 'Vencimento 1',
    7: 'Vencimento 2',
    8: 'Vencimento 3',
    9: 'Vencimento 4',
    10: 'Vencimento 5',
    11: 'Vencimento 6',
    12: 'Observacao 1',
    13: 'Observacao 2',
    14: 'Observacao 3',
    15: 'Observacao 4',
    16: 'Data Faturamento',
    17: 'Observacao 5',
    18: 'Observacao 6',
    19: 'Data Fim',
}

COL_EST53 = {
    'name': 'Inventario',
    0: 'Ano',
    1: 'Mes',
    2: 'Local',
    3: 'Codigo Item',
    4: 'Grade',
    5: 'Unidade',
    6: 'Qtde Embalagem',
    7: 'Contato',
    8: 'Saldo Cadastro com NF',
    9: 'Saldo Cadastro sem NF',
    10: 'Custo Medio',
    11: 'Preco Custo',
    12: 'Ja Atualizou',
    13: 'Quem Contou',
    14: 'Em Andamento',
    15: 'Codigo Tributacao',
}

COL_EST55 = {
    'name': 'Preco de Custo e Venda',
    0: 'Codigo Item',
    1: 'Preco Venda 1',
    2: 'Preco Venda 2',
    3: 'Tabela Correcao',
    4: 'Index Preco Venda',
    5: 'Nome Indexador',
    6: 'Ultimo Custo',
    7: 'Custo Medio Contabil',
    8: 'Custo Reposicao',
    9: 'Custo Corrigido',
    10: 'Ultimo Fornecedor',
    11: 'Penultimo Preco Custo',
    12: 'Penultimo Custo Medio',
    13: 'Penultimo Custo Corrigido',
    14: 'Penultimo Preco Reposicao',
    15: 'Penultimo Fornecedor',
    16: 'Usuario no ERP'
}


COL_EST59 = {
    'name': 'Codigos de Produtos para Fornecedores',
    0: 'Codigo Item',
    1: 'Grade',
    2: 'Chave Legado',
    3: 'Codigo Fornecedor',
}

COL_EST62 = {
    'name': 'Itens do Kit',
    0: 'Codigo Produto (Kit)',
    1: 'Codigo Produto (Item)',
    2: 'Grade',
    3: 'Qtde',
}

COL_CRE01 = {
    'name': 'Clientes',
    0: 'Codigo Cliente',
    1: 'Data Inclusao',
    2: 'Nome',
    3: 'Apelido/Nome Fantasia',
    4: 'Codigo Fidelidade',
    5: 'Cliente Endereco',
    6: 'Cliente Bairro',
    7: 'Cliente Cidade',
    8: 'Cliente UF',
    9: 'Cliente CEP',
    10: 'Cobranca Endereco',
    11: 'Cobranca Bairro',
    12: 'Cobranca Cidade',
    13: 'Cobranca UF',
    14: 'Cobranca CEP',
    15: 'Pais Codigo',
    16: 'Pais Nome',
    17: 'Cliente Cidade Codigo',
    18: 'Cobranca Cidade Codigo',
    19: 'Suframa',
    20: 'Pessoa Categoria -  Grupo 1',
    21: 'Pessoa Categoria -  Grupo 1 Nome',
    22: 'Pessoa Categoria -  Grupo 2',
    23: 'Pessoa Categoria -  Grupo 2 Nome',
    24: 'Vendedor',
    25: 'Telefone',
    26: 'Fax',
    27: 'Celular',
    28: 'Limite Credito',
    29: 'Data Ultima Compra',
    30: 'Pagamento Extrato',
    31: 'Condicao Pagamento',
    32: 'Tipo Prazo',
    33: 'Mensagem Codigo',
    34: 'Mensagem',
    35: 'Mensagem Data',
    36: 'Produtor Rural',
    37: 'Pessoa Tipo',
    38: 'CPF/CNPJ',
    39: 'J - Inscricao Estadual; P - Identidade',
    40: 'J - Data Fundacao; P - Data Nascimento',
    41: 'J - Contato 1; P - Nome Pai',
    42: 'J - Contato 2; P - Nome Mae',
    43: 'J - Contato 3; P - Nome Conjuge',
    44: 'Tipo Empresa',
    45: 'Telefone Comercial',
    46: 'Genero',
    47: 'Ativo',
    48: 'Tabela Correcao',
    49: 'Bonus Dia Mes',
    50: 'PIS Deduzir',
    51: 'COFINS Deduzir',
    52: 'Conta Contabil',
    53: 'Email',
    54: 'Email/Celular',
}

COL_CRE02 = {
    'name': 'Titulo (Entrada)',
    0: 'Codigo Cliente',
    1: 'Loja',
    2: 'Duplicata',
    3: 'Desdobramento',
    4: 'Tipo Documento',
    5: 'Departamento',
    6: 'Vendedor',
    7: 'Vendedor Externo',
    8: 'Data Emissao',
    9: 'Valor',
    10: 'Data Prorrogacao',
    11: 'Data Vencimento',
    12: 'Local Cobranca',
    13: 'Conta Banco',
    14: 'Agencia',
    15: 'Bordero',
    16: 'Natureza',
    17: 'Data Baixa',
    18: 'Saldo',
    19: 'Com/Sem NF',
    20: 'Observacao',
    21: 'Origem',
}

COL_CRE03 = {
    'name': 'Movimento Titulo (Entrada)',
    0: 'Tipo Movimento',
    1: 'Codigo Cliente',
    2: 'Loja',
    3: 'Duplicata',
    4: 'Desdobramento',
    5: 'Data Movimento',
    6: 'Sequencia',
    7: 'Tipo Documento',
    8: 'Departamento',
    9: 'Vendedor',
    10: 'Data Emissao',
    11: 'Valor Original',
    12: 'Data Vencimento',
    13: 'Local Cobranca',
    14: 'Natureza',
    15: 'Data Baixa',
    16: 'Juros',
    17: 'Desconto',
    18: 'Valor Pago',
    19: 'Com/Sem NF',
    20: 'Observacao',
    21: 'Usuario',
    22: 'Vendedor Externo',
}

COL_CRE05 = {
    'name': 'Natureza de Cobranca',
    0: 'Codigo Natureza',
    1: 'Natureza Descricao',
    2: 'Integra Fluxo',
}

COL_CRE10 = {
    'name': 'Ocorrencias',
    0: 'Codigo cliente',
    1: 'Sequencia',
    2: 'Ocorrencia',
}

COL_CRE22 = {
    'name': 'Fidelidade Movimento',
    0: 'Contra Data',
    1: 'Contra Hora',
    2: 'Codigo Cliente',
    3: 'Data Movimento',
    4: 'Serie',
    5: 'Documento',
    6: 'ECF',
    7: 'Valor',
    8: 'Usuario',
    9: 'Historico',
}

COL_CPG01 = {
    'name': 'Fornecedores',
    0: 'Codigo Fornecedor',
    1: 'Nome Fornecedor',
    2: 'Apelido/Nome Fantasia',
    3: 'Endereco Rua',
    4: 'Endereco Numero',
    5: 'Endereco Complemento',
    6: 'Pais Codigo',
    7: 'Pais Nome',
    8: 'Cidade Codigo',
    9: 'Cidade Nome',
    10: 'Bairro Nome',
    11: 'UF',
    12: 'Email',
    13: 'RG ou Inscricao Estadual',
    14: 'Tipo Pessoa',
    15: 'CPF/CNPJ',
    16: 'CEP',
    17: 'Telefone',
    18: 'Fax',
    19: 'Celular',
    20: 'Contato 1',
    21: 'Data Ultima Compra',
    22: 'Conta Contabil',
    23: 'Conta Accu',  # todo: procurar saber o q e
    24: 'Comprador',
    25: 'Transportadora',
    26: 'Placa',
    27: 'Ativo',
    28: 'Tipo Empresa',
    29: 'Registro Tributario',
    30: 'Suframa',
    31: 'Centro Custo',
    32: 'Conta Contabil Imob',  # todo: procurar saber o q e
    33: 'CNAE',
}

COL_CPG03 = {
    'name': 'Titulo (Saida)',
    0: 'Codigo Fornecedor',
    1: 'Duplicata',
    2: 'Loja',
    3: 'Data Emissao',
    4: 'Valor',
    5: 'Fatura',
    6: 'Data Prorrogacao',
    7: 'Nota ID',
    8: 'Local Cobranca',
    9: 'Saldo',
    10: 'Com/Sem NF',
    11: 'Conta CCU',  # todo: procurar saber o q e
    12: 'Nota',
    13: 'Serie',
    14: 'Observacao',
    15: 'Tipo Duplicata',
}

COL_CPG06 = {
    'name': 'Movimento Titulo (Saida)',
    0: 'Tipo Movimento',
    1: 'Movimento Codigo',
    2: 'Fornecedor',
    3: 'Duplicata',
    4: 'Data Movimento',
    5: 'Sequencia',
    6: 'Nota ID',
    7: 'Loja',
    8: 'Data Emissao',
    9: 'Valor',
    10: 'Data Vencimento',
    11: 'Data Baixa',
    12: 'Local Cobranca',
    13: 'Tipo Juros Desconto',
    14: 'Valor Juros Desconto',
    15: 'Saldo',
    16: 'Com/Sem NF',
    17: 'Observacao',
    18: 'Razao Auxiliar',
}

COL_CPG08 = {
    'name': 'Observacao',
    0: 'Codigo Fornecedor',
    1: 'Sequencia',
    2: 'Observacao',
}

COL_CPG11 = {
    'name': 'Representante',
    0: 'Codigo Fornecedor',
    1: 'Representante Codigo',
    2: 'Nome',
    3: 'Email',
    4: 'Telefone',
    5: 'Fax',
    6: 'Celular',
    7: 'Tempo Atendimento',
}

COL_CAX02 = {
    'name': 'Tesouraria Movimento',
    0: 'Origem',
    1: 'Cliente/Fornecedor',
    2: 'Controle',
    3: 'Serie',
    4: 'Sequencia',
    5: 'Operador',
    6: 'Data Movimento',
    7: 'Conta',
    8: 'Historico',
    9: 'Valor',
    10: 'Empresa Tipo',
    11: 'Operacao',
    12: 'Centro Custo',
}

COL_CAX03 = {
    'name': 'Tesouraria Saldo',
    0: 'Conta 1 - Apelido',
    1: 'Conta 1 - Valor (Com NF)',
    2: 'Conta 1 - Valor (Sem NF)',

    3: 'Conta 2 - Apelido',
    4: 'Conta 2 - Valor (Com NF)',
    5: 'Conta 2 - Valor (Sem NF)',

    6: 'Conta 3 - Apelido',
    7: 'Conta 3 - Valor (Com NF)',
    8: 'Conta 3 - Valor (Sem NF)',

    9: 'Conta 4 - Apelido',
    10: 'Conta 4 - Valor (Com NF)',
    11: 'Conta 4 - Valor (Sem NF)',

    12: 'Conta 5 - Apelido',
    13: 'Conta 5 - Valor (Com NF)',
    14: 'Conta 5 - Valor (Sem NF)',

    15: 'Conta 6 - Apelido',
    16: 'Conta 6 - Valor (Com NF)',
    17: 'Conta 6 - Valor (Sem NF)',

    18: 'Conta 7 - Apelido',
    19: 'Conta 7 - Valor (Com NF)',
    20: 'Conta 7 - Valor (Sem NF)',

    21: 'Conta 8 - Apelido',
    22: 'Conta 8 - Valor (Com NF)',
    23: 'Conta 8 - Valor (Sem NF)',

    24: 'Conta 9 - Apelido',
    25: 'Conta 9 - Valor (Com NF)',
    26: 'Conta 9 - Valor (Sem NF)',
    27: 'Encerramento Mes Ano',
}

COL_CCB01 = {
    'name': 'Tesouraria Contas',
    0: 'Apelido',
    1: 'Conta',
    2: 'Banco',
    3: 'Agencia',
    4: 'Saldo',
    5: 'Limite Especial',
    6: 'Juros',
    7: 'Com/Sem NF',
    8: 'Integra Fluxo',
    9: 'Gerente',
    10: 'Telefone',
    11: 'Celular',
    12: 'Pagina',
    13: 'Integra Disponibilidade',
    14: 'Conta Contabil',
}

COL_CCB02 = {
    'name': 'Tesouraria Movimento',
    0: 'Origem',
    1: 'Cliente/Fornecedor',
    2: 'Controle',
    3: 'Serie',
    4: 'Sequencia',
    5: 'Apelido',
    6: 'Documento',
    7: 'Data Movimento',
    8: 'Tipo',
    9: 'Valor',
    10: 'Conferencia',
    11: 'Operacao',
    12: 'Historico',
}

COL_FIS01 = {
    'name': 'Nota Fiscal Entrada',
    0: 'Fornecedor',
    1: 'Serie NF',
    2: 'Numero NF',
    3: 'Data Entrada',
    4: 'Codigo Fiscal',
    5: 'Especie',
    6: 'Modelo NF',
    7: 'UF',
    8: 'Data Documento',
    9: 'Valor Contabil',
    10: 'Base ICMS',
    11: 'Valor ICMS',
    12: 'Base IPI',
    13: 'Valor IPI',
    14: 'Base Substituicao',
    15: 'ICMS Substituicao',
    16: 'Desconto',
    17: 'Indicador Frete',  # todo: procurar saber o e
    18: 'Valor Frete na NF',
    19: 'Seguro',
    20: 'Despesa Acessoria',
    21: 'A vista/Prazo',
    22: 'Com/Sem NF',
    23: 'Usar Cliente',
    24: 'NF Propria',
    25: 'NFE Chave',
    26: 'NF Origem',
    27: 'NF Orgiem Serie',
    28: 'Obs',
    29: 'Codigo Consumo',
    30: 'Tipo Ligacao',
    31: 'Grupo Tensao',
    32: 'NFE Status',
    33: 'NFE Protocolo',
    34: 'NFE Protocolo Cancelamento',
    35: 'NFE Lote',
    36: 'NFE Finalidade',
    37: 'NFE Motivo',
    38: 'Natureza',
    39: 'NFE CST',  # todo: procurar saber o q e
    40: 'Situacao NF',
    41: 'XML',
    42: 'Hora de emissao da nf',
}

COL_FIS02 = {
    'name': 'Nota Fiscal Saida',
    0: 'Cliente',
    1: 'Serie NF',
    2: 'Numero NF',
    3: 'Data Documento',
    4: 'Codigo Fiscal',
    5: 'Especie',
    6: 'Modelo NF',
    7: 'UF',
    8: 'Valor Bruto',
    9: 'Valor Contabil',
    10: 'Base ICMS',
    11: 'Valor ICMS',
    12: 'Aliquota ICMS',
    13: 'Base IPI',
    14: 'Valor IPI',
    15: 'Valor Isentos',
    16: 'Valor Outros',
    17: 'Valor Substituicao',
    18: 'Valor Mob',  # todo: procurar saber o q e
    19: 'Valor ISS',
    20: 'Valor Terceiros',
    21: 'Valor Diferido',
    22: 'Base Reduzida nao Tributado',
    23: 'Base Substituicao',
    24: 'ICMS Substituicao',
    25: 'Departamento',
    26: 'Vendedor',
    27: 'Vendedor Externo',
    28: 'Observacao',
    29: 'Com/Sem NF',
    30: 'NF Origem',
    31: 'NF Origem Serie',
    32: 'DAV',
    33: 'NFE Status',
    34: 'NFE Chave',
    35: 'Data Saida',
    36: 'Hora Saida',
    37: 'NFE Finalidade',
    38: 'NFE Lote',
    39: 'NFE Status',
    40: 'NFE Motivo',
    41: 'NFE Protocolo',
    42: 'NFE Protocolo Cancelamento',
    43: 'Situacao NF',
    44: 'XML',
}

COL_FIS05 = {
    'name': 'Mapa de ECF',
    0: 'Data',
    1: 'ECF',
    2: 'Numero Z',
    3: 'Cupom Inicial',
    4: 'Cupom Final',
    5: 'GT Inicial',
    6: 'GT Final',
    7: 'Valor Substituicao',
    8: 'Valor Isentos',
    9: 'Valor Outros',
    10: 'Valor Cancelamentos',
    11: 'Valor Descontos',
}

COL_FIS18 = {
    # nao eh implementado na integracao
    'name': 'Guia',
}

COL_SIS09 = {
    'name': 'Local de Cobranca',
    0: 'Numero Banco',
    1: 'Nome',
}

COL_SIS26 = {
    'name': 'CFOP',
    0: 'CFOP',
    1: 'Natureza',
    2: 'Descricao',
    3: 'Entrada/Saida',
    4: 'Analitico/Sintetico',
    5: 'Tipo Movimento',
    6: 'Transacao Tipo',
}

COL_GEI01 = {
    'name': 'Indexador',
    0: 'Moeda Sigla',
    1: 'Data Movimento',
    2: 'Moeda Valor (2 casas decimais)',
}

COL_VEN13 = {
    'name': 'Pedidos',
    0: 'Numero Pedido',
    1: 'Data Emissao',
    2: 'Cliente',
    3: 'Situacao (A = A Faturar, C = Cancelado, F = Faturado)',
    4: 'Vendedor',
    5: 'Vendedor Externo',
    6: 'CFOP',
    7: 'Natureza',
    8: 'Desconto',
    9: 'Valor Total',
    10: 'Observacao',
    11: 'Despesas Acessorias',
    12: 'Transportador',
    13: 'Transportador Placa',
    14: 'Frete Tipo (1 - Emitente, 2 - Destinatario)',
    15: 'Frete Valor',
}

COL_VEN14 = {
    'name': 'Pedido Itens',
    0: 'Numero Pedido',
    1: 'Sequencia',
    2: 'Sequencia Kit',
    3: 'Produto Codigo',
    4: 'Grade',
    5: 'Local',
    6: 'Quantidade',
    7: 'Tributacao Codigo',
    8: 'Tributacao Tipo (T - Tributado, U - Substituicao, I - Isentos, O - Outras, D - Diferido)',
    9: 'CFOP',
    10: 'Valor Liquido',
    11: 'Desconto',
    12: 'Despesas Acessorias',
    13: 'Frete',
}

COL_VEN18 = {
    'name': 'Pedido Condicoes e Parcelas',
    0: 'Numero Pedido',
    1: 'Sequencia',
    2: 'Finalizadora',
    3: 'A Vista ou Prazo (V - A Vista, P - Prazo, S - Sem Condicoes)',
    4: 'Tipo Prazo',
    5: 'Prazo (1)',
    6: 'Parcela (1)',
    7: 'Prazo (2)',
    8: 'Parcela (2)',
    9: 'Prazo (3)',
    10: 'Parcela (3)',
    11: 'Prazo (4)',
    12: 'Parcela (4)',
    13: 'Prazo (5)',
    14: 'Parcela (5)',
    15: 'Prazo (6)',
    16: 'Parcela (6)',
    17: 'Prazo (7)',
    18: 'Parcela (7)',
    19: 'Prazo (8)',
    20: 'Parcela (8)',
    21: 'Prazo (9)',
    22: 'Parcela (9)',
    23: 'Prazo (10)',
    24: 'Parcela (10)',
    25: 'Prazo (11)',
    26: 'Parcela (11)',
    27: 'Prazo (12)',
    28: 'Parcela (12)',
}
COL_CTB01 = {
    'name': 'Plano de contas',
    0: 'Conta contabil',
    1: 'Conta reduzida',
    2: 'Nome da conta',
    3: 'Digito de controle',
    4: 'Saldo da conta',
    5: 'Apuracao',
    6: 'Sintetico/Analitico',
    7: 'Classifica analiticas',
    8: 'Natureza da conta',
    9: 'Mes/asno encerrado',
}

COL_CTB02 = {
    'name': 'Movimento contabil',
    0: 'Origem',
    1: 'Data da criacao',
    2: 'Hora da criacao',
    3: 'Sequencia do movimento',
    4: 'Data do lancamento',
    5: 'Conta contabil',
    6: 'Documento',
    7: 'Contra partida',
    8: 'Valor do lancamento',
    9: 'lancamento normal/Encerramento',
    10: 'Historico',
}


class IntegracaDescricaoColunas(object):
    # EST
    est01 = COL_EST01
    est03 = COL_EST03
    est04 = COL_EST04
    est05 = COL_EST05
    est10 = COL_EST10
    est13 = COL_EST13
    est14 = COL_EST14
    est15 = COL_EST15
    est16 = COL_EST16
    est17 = COL_EST17
    est18 = COL_EST18
    est19 = COL_EST19
    est21 = COL_EST21
    est22 = COL_EST22
    est24 = COL_EST24
    est29 = COL_EST29
    est30 = COL_EST30
    est33 = COL_EST33
    est38 = COL_EST38
    est53 = COL_EST53
    est55 = COL_EST55
    est59 = COL_EST59
    est62 = COL_EST62
    # CRE
    cre01 = COL_CRE01
    cre02 = COL_CRE02
    cre03 = COL_CRE03
    cre05 = COL_CRE05
    cre10 = COL_CRE10
    # CPG
    cpg01 = COL_CPG01
    cpg03 = COL_CPG03
    cpg06 = COL_CPG06
    cpg08 = COL_CPG08
    cpg11 = COL_CPG11
    # CAX
    cax02 = COL_CAX02
    cax03 = COL_CAX03
    # CCB
    ccb01 = COL_CCB01
    ccb02 = COL_CCB02
    # FIS
    fis01 = COL_FIS01
    fis02 = COL_FIS02
    fis05 = COL_FIS05
    fis18 = COL_FIS18
    # SIS
    sis09 = COL_SIS09
    sis26 = COL_SIS26
    # GEI
    gei01 = COL_GEI01
    # VEN
    ven13 = COL_VEN13
    ven14 = COL_VEN14
    ven18 = COL_VEN18
    #CTB
    ctb01 = COL_CTB01
    ctb02 = COL_CTB02



