# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class pcp_ficha_tecnica_itens(osv.Model):
    _name = 'pcp.ficha.tecnica.itens'
    _inherit = 'pcp.ficha.tecnica.itens'

    def onchange_materia_prima_item(self, cr, uid, ids, pcpfti_produto_id, context=None):
        context = context and context.copy() or {}
        obj_estoque_produto_grade = self.pool.get('estoque.produto.grade')
        grade_ids = obj_estoque_produto_grade.search(cr, uid, [('produto_id', '=', pcpfti_produto_id)], context=context)
        if len(grade_ids) == 1:
            return {'value': {'pcpfti_grade_id': grade_ids}}
        return {'value': {'pcpfti_grade_id': False}}

    def write(self, cr, uid, ids, vals, context=None):
        # Recurso encontrado para solucao desse problema. O problema foi incluído devido a
        # implementacao da atividade 100525, que deve ser revista.
        if vals.get('pcpfti_capa_id') and context.get('no_store_function'):
            return False
        res = super(pcp_ficha_tecnica_itens, self).write(cr, uid, ids, vals, context)
        return res
