# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields

class rh_justificativa(osv.Model):

    _name = 'rh.justificativa'
    _inherit = 'rh.justificativa'
    def _get_name(self, cr, uid, ids, name, arg, context=None):
        """
        Retorna o descricao do justificativa
        """
        context = context and context.copy() or {}
        res = {}
        if ids:
            for justificativa_data in self.read(cr, uid, ids, ['rh_hora_entrada', 'rh_hora_saida'], context=context):
                res[justificativa_data['id']] = 'De: ' + justificativa_data['rh_hora_entrada'] + ' a ' + justificativa_data['rh_hora_saida']
        return res
