# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv


class supervisor_cad_finalizadora_na_ecf(osv.Model):
    
    _inherit = 'supervisor.cad.finalizadora.na.ecf'

    def read_group(self, cr, uid, domain, fields, groupby, offset=0, limit=None, context=None,
                   orderby=False):
        res = super(supervisor_cad_finalizadora_na_ecf, self).read_group(cr, uid, domain, fields, groupby,
                                                                offset, limit, context, orderby)
        obj_configuracao = self.pool.get('supervisor.cfg.configuracao')
        cont = 1
        for i in res:
            if 'supfec_nro_empresa_count' in i:
                conf_ids = obj_configuracao.search(cr, uid,
                        [('supcfc_nro_empresa', '=', i.get('supfec_nro_empresa'))], context=context)
                if  conf_ids:
                    nome_empresa = obj_configuracao.read(cr, uid, conf_ids[0], ['supcfc_cliente'],
                                                         context=context).get('supcfc_cliente')
                    if not nome_empresa:
                        nome_empresa = 'Empresa sem nome %s' % cont
                        cont += 1

                    i['supfec_nro_empresa'] = nome_empresa
            else:
                del i['supfec_nro_empresa']

            if 'supfec_loja_count' in i:
                i['supfec_loja'] = 'Loja: %s' % i.get('supfec_loja')
            else:
                del i['supfec_loja']

            if 'supfec_codigo_na_ecf' in i:
                del i['supfec_codigo_na_ecf']

        return res