# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv


class supervisor_cad_pdvs(osv.Model):
    _inherit = 'supervisor.cad.pdvs'

    def name_get(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        res = []
        dados = self.read(cr, uid, ids, ['suppdv_nro_empresa', 'suppdv_loja', 'suppdv_caixa'], context=context)
        empresas = []
        lojas = []
        cond = []
        emp_loja = {}
        for i in dados:
            chave = "%s-%s" % (i.get('suppdv_nro_empresa'), i.get('suppdv_loja'))
            if emp_loja.get(chave):
                continue
            else:
                emp_loja[chave] = True

            op = cond and 'OR' or ''
            cond.append('%s (supcfc_nro_empresa = %s AND supcfc_loja = %s)' %
                        (op, i.get('suppdv_nro_empresa'),i.get('suppdv_loja')))

        sql = """SELECT id,
                        supcfc_nro_empresa,
                        supcfc_loja
                 FROM supervisor_cfg_configuracao 
                 WHERE %s
              """ % '\n'.join(cond)
        cr.execute(sql)
        dados_config = cr.dictfetchall()
        loja_config_id = {}
        map(lambda x: loja_config_id.update(
                    {'%s-%s' % (x.get('supcfc_nro_empresa'), x.get('supcfc_loja')): x.get('id')}),
            dados_config)
        if not len(ids):
            return []

        for x in dados:
            chave = '%s-%s' % (x.get('suppdv_nro_empresa'), x.get('suppdv_loja'))
            res.append((x.get('id'), "%s-%s" % (loja_config_id.get(chave), x.get('suppdv_caixa'))))

        return res