# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields


class supervisor_arquivo_mfd(osv.Model):
    """
    Tabela de arquivo mfd
    Prefixo: supmfd
    """
    _inherit = 'supervisor.arquivo.mfd'
    _columns = {
        'supmfd_nro_empresa': fields.integer('Empresa', required=True, select=True),
    }

    _defaults = {
        'supmfd_nro_empresa': 0,
    }