#!/usr/bin/python
# -*- coding: utf-8 -*-

from openerp.tools.translate import _
from openerp.osv import osv, fields


class supervisor_cad_finalizadora(osv.Model):

    _inherit = 'supervisor.cad.finalizadora'

    _columns = {
        'supfin_loja': fields.integer('Loja', required=True, select=True),
        'supfin_nro_empresa': fields.integer('Empresa', required=True, select=True),

    }
    _defaults = {
        'supfin_nro_empresa': 0,
        'supfin_loja': 0,
    }

    def _auto_init(self, cr, context=None):
        self._sql_constraints = [
            ('supfin_codigo_uniq', 'unique (supfin_codigo, supfin_loja, supfin_nro_empresa)',
             _('O codigo precisa ser unico para mesma loja e empresa!')),
        ]
        super(supervisor_cad_finalizadora, self)._auto_init(cr, context)