# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
import time


class supervisor_mov_caixa(osv.Model):
    """
    Tabela de Caixa
    Prefixo: supcax
    """
    _inherit = 'supervisor.mov.caixa'
    _columns = {
        'supcax_nro_empresa': fields.integer('Empresa', required=True, select=True),
    }

    _defaults = {
        'supcax_nro_empresa': 0,
    }
