# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class supervisor_mov_capa(osv.Model):
    """
    Tabela de Capa de cupons
    Prefixo: supcap

    """
    _inherit = 'supervisor.mov.capa'
    _columns = {
        'supcap_nro_empresa': fields.integer('Empresa', required=True, select=True),
    }

    _defaults = {
        'supcap_nro_empresa': 0,
    }

    def _auto_init(self, cr, context=None):
        self._sql_constraints = [
        ('supcap_cupom_uniq',
         'unique (supcap_data_cupom, supcap_nro_empresa, supcap_loja, supcap_caixa, supcap_nro_cupom)',
         'O cupom  precisa ser unico!'),
        ]
        super(supervisor_mov_capa, self)._auto_init(cr, context)