# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
import time


class supervisor_pve_capa(osv.Model):
    """
    Tabela de Capa da Prevenda
    Prefixo: suppva
    """
    _inherit = 'supervisor.pve.capa'
    _columns = {
        'suppva_nro_empresa': fields.integer('Empresa', required=True, select=True),
    }

    _defaults = {
        'suppva_nro_empresa': 0,
    }
