# -*- coding: utf-8 -*-
from openerp.osv import osv, fields
from ....supervisor_comanda.report.relatorio_flash_comanda import report_custom

class report_custom_inherit(report_custom):
    def get_cond(self, cr, datas):
        super(report_custom_inherit, self).get_cond(cr, datas)
        if not datas.get('empresa'):
            return ''

        return 'AND supcda_nro_empresa = %s' % datas.get('empresa')

report_custom_inherit('report.relatorio_flash_comandas_inherit')

class wizard_relatorio_flash_comanda(osv.TransientModel):
    _inherit = 'wizard.relatorio.flash.comanda'
    _columns = {
        'wizfco_nro_empresa': fields.integer('Nro. Empresa'),
    }

    def button_print(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        res = super(wizard_relatorio_flash_comanda, self).button_print(cr, uid, ids, context)
        flash_comanda_dados = self.read(cr, uid, ids, [], context=context)
        if isinstance(flash_comanda_dados, (list, tuple)):
            flash_comanda_dados = flash_comanda_dados[0]

        res['report_name'] = 'relatorio_flash_comandas_inherit'
        res['datas']['empresa'] = flash_comanda_dados.get('wizfco_nro_empresa')
        return res

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
