# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
from openerp.tools.translate import _


class supervisor_cda_comanda_servidor_capa(osv.Model):

    _name = 'supervisor.cda.comanda.servidor.capa'
    _columns = {
        'supccs_nro_empresa': fields.integer('Nro. Empresa'),
        'supccs_loja': fields.integer('Loja'),
        'supccs_id_supervisor': fields.integer('Id da comanda no supervisor comum'),
    }
    _sql_constraints = [
        ('supccs_empresa_loja_id_uniq', 'unique (supccs_nro_empresa, supccs_loja, supccs_id_supervisor)',
         _('Empresa, loja e id devem ser unicos')),
    ]
