#!/usr/bin/python
# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields
from openerp.tools.translate import _


class supervisor_cad_promo_capa(osv.Model):

    _inherit = 'supervisor.cad.promo_capa'
    _columns = {
        'supproc_nro_empresa': fields.integer('Nro. Empresa', required=True),
    }

    def _auto_init(self, cr, context=None):
        self._sql_constraints = [
        ('scanntech_id_promo_unic',
         'unique (supproc_nro_empresa, supproc_scanntech, supproc_id_promo)',
         _('O Id da promocao deve ser unico')),
        ]
        super(supervisor_cad_promo_capa, self)._auto_init(cr, context)
