# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2013 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2013, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-NaoComercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields


class WmsSeparacaoItens(osv.Model):
    """
    Relacionamento entre itens de separacao e itens para conferencia. (heranca)

    @author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    _name = 'wms.separacao.itens'  # wmssit
    _inherit = 'wms.separacao.itens'  # wms/separacao/model/separacao_itens_data

    _columns = {
        # ___________________________ One2Many _______________________________
        # Registro do historico de conferencia
        'wmssit_conferencia_item_ids': fields.one2many('wms.conferencia.itens',
                                                       'wmscit_separacao_item_id', 'Conferencia')
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
