# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2013 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz[at]siginformatica.com.br>
                                -------

Copyleft (CC) 2013, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields


class wizard_inventario(osv.TransientModel):
    """
    Inclusao de enderecos de crossdocking na contagem de inventario. (heranca).

    :author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    _name = 'wizard.inventario'  # wizinv
    _inherit = 'wizard.inventario'  # wms/inventario/wizard/inventario_data

    _columns = {
        # ___________________________ Boolean ________________________________
        'wizinv_crossdocking': fields.boolean('Considerar enderecos de crossdocking',
                                              help='Se marcado, os enderecos de crossdocking serao '
                                                   'considerados na contagem do inventario')
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
