# -*- encoding: utf-8 -*-
"""
Copyright (C) 2009-2013 All Rights Reserved. Luiz Fernando Maciel França
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2013, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields


class wms_montagemcarga_itens(osv.Model):
    """
    Montagem de Carga. (heranca). Crossdocking.

    @author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    _name = 'wms.montagemcarga.itens'  # wmsmci
    _inherit = 'wms.montagemcarga.itens'

    from funcoes import wmsmci_pre_crossdocking

    _columns = {
        # ___________________________ Function _______________________________
        'wmsmci_crossdocking': fields.function(wmsmci_pre_crossdocking, type='boolean', method=True,
                                               string='Crossdocking')
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
