# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2013 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz[at]siginformatica.com.br>
                                -------

Copyleft (CC) 2013, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv


# noinspection PyPep8Naming
class estoque_parametro(osv.Model):
    """
    Heranca. Parametros do estoque.

    :author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    _name = 'estoque.parametro'  # estllc
    _inherit = 'estoque.parametro'  # estoque/control/parametro

    # noinspection PyMethodMayBeStatic
    def estpar_onchange_empresa_id(self, cr, uid, ids, context=None):
        """
        Elimina o local ao selecionar uma nova empresa.

        :param cr: a linha atual do cursor do banco de dados
        :param uid: ID do usuario utilizado para a verificacao de perfil
        :param ids: lista com o ID dos parametros do estoque
        :param context: um dicionario padrao para valores contextuais,
        :type cr: object
        :type uid: int
        :type ids: long|list[long]
        :type context: dict
        :return: valor nulo para o local.
        :rtype: dict

        :author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
        """

        context = context and context.copy() or {}

        result = dict(value=dict(estpar_local_id=False))

        return result

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
