# -*- encoding: utf-8 -*-
"""
Copyright (C) 2009-2013 All Rights Reserved. Luiz Fernando Maciel França
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2013, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields


class estoque_produto(osv.Model):
    """
    Inclusao da ´´flag`` de uso do produto pelo WMS (heranca).

    @author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    _name = 'estoque.produto'  # estpro
    _inherit = 'estoque.produto'  # estoque/model/produto_data

    _columns = {
        # ___________________________ Boolean ________________________________
        'estpro_wms_uso': fields.boolean('Utilizado pelo WMS')
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
