# -*- encoding: utf-8 -*-
"""
Copyright (C) 2009-2013 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2013, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields


class wms_etiqueta_campo(osv.Model):
    """
    Campos dos modelos de etiqueta

    @author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    _name = 'wms.etiqueta_campo'  # etqcmp
    _inherit = 'wms.etiqueta_campo'

    _columns = {
        'etqcmp_modelo_id': fields.many2one('wms.etiqueta_modelo', 'Modelo')
    }


class wms_etiqueta_modelo(osv.Model):
    """
    Modelos de etiqueta

    @author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    _name = 'wms.etiqueta_modelo'  # etqmod
    _inherit = 'wms.etiqueta_modelo'

    _columns = {
        # ___________________________ One2Many _______________________________
        # Campos a serem mostrados na etiqueta
        'etqmod_campo_ids': fields.one2many('wms.etiqueta_campo', 'etqcmp_modelo_id',
                                            'Nome do Campo')
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
