# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2013 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz[at]siginformatica.com.br>
                                -------

Copyleft (CC) 2013, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields


class wms_montagemcarga_itens(osv.Model):
    """
    Relacionamento entre Montagem de Carga e Itens de Montagem de Carga. (heranca)

    :author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    _name = 'wms.montagemcarga.itens'  # wmsmci
    _inherit = 'wms.montagemcarga.itens'  # wms/montagemcarga/model/montagemcarga_itens_data

    _columns = {
        # ___________________________ Many2One _______________________________
        'montagemcarga_id': fields.many2one('wms.montagemcarga', 'Montagem de carga')
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
