# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2013 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2013, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields


class veiculos_veiculo(osv.Model):
    """
    Dados do veiculo. Veiculos em viagem

    @author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    _name = 'veiculos.veiculo'  # veivei
    _inherit = 'veiculos.veiculo'  # veiculos/model/veiculo_data

    _columns = {
        # ___________________________ Many2One _______________________________
        'montagemcarga_id': fields.many2one('wms.montagemcarga', 'Montagem de carga'),

        # ___________________________ Boolean ________________________________
        # Verdadeiro se veiculo estiver em viagem
        'veivei_veiculo_viagem': fields.boolean('Veiculo em viagem')
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
