# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2013 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2013, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields


class transferencia_os(osv.Model):
    """
    Relacionamento entre montagem de carga e a ordem de servico de transferen-
    cia/movimentacao (reabastecimento picking).
    (heranca)

    @author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    _name = 'transferencia.os'  # trfosv
    _inherit = 'transferencia.os'  # wms/transferencia/model/os_data

    _columns = {
        # ___________________________ Many2One _______________________________
        'montagemcarga_id': fields.many2one('wms.montagemcarga', 'Carga')
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
