# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2013 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2013, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields


class wms_produtotipo(osv.Model):
    """
    Acrescenta o campo 'sequence' para prever ordenacao e quebra no mapa de separacao. (heranca)

    @author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    _name = 'wms.produtotipo'  # wmspti
    _inherit = 'wms.produtotipo'  # wns/model/produtotipo_data

    from funcoes import wmspti_nova_sequencia

    _columns = {
        # ___________________________ Integer ________________________________
        # Quebra e ordem no mapa de separacao
        'sequence': fields.integer('Ordem de separacao', required=True)
    }

    _defaults = {
        'sequence': wmspti_nova_sequencia
    }

    _order = 'sequence'

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
