# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2013 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2013, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields


class wms_separacao_fracionado_et(osv.Model):
    """
    Itens de Separacao. Fracionados por E.T.

    @author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    _name = 'wms.separacao.fracionado.et'  # wmssfe

    _columns = {
        # ___________________________ Many2One _______________________________
        'wmssfe_montagemcarga_id': fields.many2one('wms.montagemcarga', 'Montagem de carga'),

        # ___________________________ One2Many _______________________________
        'wmssfe_separacao_item_ids': fields.one2many('wms.separacao.itens', 'wmssit_et_id',
                                                     'Item de separacao'),

        # ___________________________ Char ___________________________________
        'wmssfe_numero_et': fields.char('Nr. do E.T.', size=3),  # Elemento de Transporte / E.T.
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
