# -*- encoding: utf-8 -*-
"""
Copyright (C) 2009-2013 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2013, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields


class wizard_wms_endereco_sentidorua(osv.TransientModel):
    """
    Determina o sentido que devera ser seguido durante o processo de separacao.

    @author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    # Sentidos de ruas
    SENTIDO_RUA = [('C', 'Crescente'), ('D', 'Decrescente')]

    _name = 'wizard.wms.endereco.sentido_rua'  # wizesr

    _columns = {
        # ___________________________ Integer ________________________________
        'wizesr_deposito': fields.integer('Deposito', required=True),
        'wizesr_rua': fields.integer('Rua', required=True),

        # ___________________________ Selection ______________________________
        'wizesr_sentido': fields.selection(SENTIDO_RUA, 'Sentido da rua', required=True)
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
