# -*- encoding: utf-8 -*-
"""
Copyright (C) 2009-2013 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz:siginformatica.com.br>
                                -------

Copyleft (CC) 2013, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields

class wizard_wms_etiqueta_endereco(osv.TransientModel):
    """
    Impressao de etiquetas de endereco.

    :author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    _name = 'wizard.wms.etiqueta.endereco'  # wizwee

    _columns = {
        # ___________________________ Boolean ________________________________
        'imprimir_virtual': fields.boolean('Imprimir etiquetas de endereco virtual',
                                           help='Se marcado, as etiquetas de enderecos virtuais tambem serao impressas.'),
    }

    _defaults = {
        'imprimir_virtual': lambda *args: False
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
