# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2014 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz[at]siginformatica.com.br>
                                -------

Copyleft (CC) 2014, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields


# noinspection PyPep8Naming
class wizard_wms_posicao_nf(osv.TransientModel):
    """
    Formulario. Filtra periodo das notas fiscais para o relatorio de posicao de notas fiscais

    :author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    _name = 'wizard.wms.posicao.nf'  # wizpnf

    _columns = {
        # ___________________________ Date ___________________________________
        'wizpnf_periodo_inicio': fields.date('Periodo inicial',
                                             help='Data inicial do periodo.'),
        'wizpnf_periodo_fim': fields.date('Periodo final',
                                          help='Data final do periodo.'),
        # ___________________________ Char ___________________________________
        'wizpnf_mensagem': fields.char('Mensagem', size=200),
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
