# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from SigUtils import datas
import time


# Funcoes da classe apac_parente
def _apcprt_get_idade(self, cr, uid, ids, field_name, args, context=None):
    context = context and context.copy() or {}
    res = {}
    for parente in self.browse(cr, uid, ids):
        if parente.apcprt_pessoa_id.admpes_fis_data_nascimento:
            _dtNasc = parente.apcprt_pessoa_id.admpes_fis_data_nascimento
            _idade = datas.calcIdade(_dtNasc)
            res[parente.id] = str(_idade)
        else:
            res[parente.id] = False
    return res


#Funcoes da classe apac_cadastro_visitas
def _apccvi_get_name(self, cr, uid, ids, field_name, args, context=None):
    context = context and context.copy() or {}
    res = {}
    for visita in self.browse(cr, uid, ids):
        if visita.apccvi_data_visita:
            res[visita.id] = str(visita.apccvi_data_visita)
        else:
            res[visita.id] = False
    return res


#Funcoes da classe apac_visitante_recuperando
def _apcvrc_get_qtd_visitantes(self, cr, uid, ids, field_name, args, context=None):
    context = context and context.copy() or {}
    res = {}
    for visitantes in self.browse(cr, uid, ids):
        if visitantes.apcvrc_visitantes_ids:
            res[visitantes.id] = len(visitantes.apcvrc_visitantes_ids)
        else:
            res[visitantes.id] = 0
    return res

def _apcvrc_get_visita_id(self, cr, uid, context=None):
    context = context and context.copy() or {}
    _hoje = time.strftime('%Y-%m-%d')
    res = self.pool.get('apac.cadastro.visitas').search(cr, uid, [('apccvi_data_visita', '=',
                                                                   _hoje)], context=context)
    return res
