# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class apac_ocorrencias_tipos(osv.Model):
    _name = 'apac.ocorrencias.tipos'
    _description = 'Tipos de Ocorrencia'
    _rec_name = 'apcoct_name'
    _columns = {
        'apcoct_name': fields.char(string='Descricao', size=30, required=True)
    }


class apac_ocorrencias(osv.Model):
    _name = 'apac.ocorrencias'
    _description = 'Ocorrencia'
    _order = 'apcoco_recuperando_id, create_date desc'
    _columns = {
        'name': fields.char(string='Assunto', size=60, required=True),
        'apcoco_tipo_id': fields.many2one('apac.ocorrencias.tipos', 'Tipo de Ocorrencia', required=True, select=True),
        'apcoco_recuperando_id': fields.many2one('apac.recuperando', 'Recuperando', required=True, select=True),
        'create_uid': fields.many2one("res.users", 'Usuario', readonly=True, select=True),
        'create_date': fields.datetime('Data da criacao', readonly=True, select=True),
        'apcoco_descricao': fields.text('Descricao')
    }


