# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class asfipo_cadastro_instituicoes(osv.Model):
    _name = 'asfipo.cadastro.instituicoes'
    _columns = {
        'asfcin_cadastro_id': fields.many2one("asfipo.cadastro", 'Nome do Assistido(a)', ondelete="cascade",
                                              required=True, select=True), # Id do assistido
        'asfcin_instituicao_id': fields.many2one("adm.pessoa", 'Instituicao', ondelete="restrict", required=True,
                                                 select=True, domain="[('pessoa_tipo', '=', 'J')]"),
    }



