# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class asfipo_cadastro_processos(osv.Model):
    _name = 'asfipo.cadastro.processos'
    _columns = {
        'asfcpr_cadastro_id': fields.many2one("asfipo.cadastro", 'Nome do Assistido(a)', ondelete="restrict",
                                              required=True, select=True), # id do dependente/assistido
        'asfcpr_processo': fields.char('Processo Nro', size=20, required=True), # Numero do processo
        'asfcpr_data': fields.date('Data'), # data do processo\n
    }

