# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel França
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv


class coin_robot_historicos(osv.Model):
    """
    robot para avaliação de oportunidades
    prefixo:coibhi
    """
    _inherit = 'coin.robot.historicos'

    def _auto_init(self, cr, context=None):
        context = context and context.copy() or {}
        super(coin_robot_historicos, self)._auto_init(cr, context)
        cr.execute("SELECT 1 FROM pg_indexes WHERE indexname='coin_robot_historicos_create_date_data_idx'")
        if not cr.fetchone():
            cr.execute(
                'CREATE INDEX coin_robot_historicos_create_date_data_idx ON coin_robot_historicos (create_date)')
