# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2015 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz[at]siginformatica.com.br>
                                -------

Copyleft (CC) 2015, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields


class usuario_coletor(osv.Model):
    """
    Permissoes do usuario coletor.

    :author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    _name = 'usuario.coletor'  # usucol
    _inherit = 'usuario.coletor'  # coletor/model/usuario_coletor_data

    _columns = {
        # ___________________________ Boolean ________________________________
        'sobrepor_endereco': fields.boolean('Sobrepor endereco',
                                            help='Se marcado, permite que o usuario faca '
                                                 'sobreposicao de enderecos.'),
        'recebimento_cego': fields.boolean('Recebimento totalmente cego',
                                           help='Se marcado, as mensagens de aviso nao serao '
                                                'mostradas durante o processo de recebimento.'),
    }

    _defaults = {
        'sobrepor_endereco': lambda *args: False,
        'recebimento_cego': lambda  *args: False,
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
