# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class legado_controle(osv.Model):
    """
    Tabela de Controle de integracao com o legado
    """
    def ler(self, cr, uid, args, context=None):
        if not args:
            return []
        try:
            ids = self.search(cr, uid, args, context=context)
            vals= self.read(cr,uid,ids,[], context=context)
            return vals
        except:
            return []

    _name = 'legado.controle'
    _columns = {
        'empresa': fields.integer('Empresa no legado', select=1),
        'tabela_legado': fields.char('Tabela Legado', size=07, select=1),
        'chave_legado': fields.char('Controle', size=60, select=1),
        'chave_sigerp': fields.integer('Id'),
    }