# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class legado_custos(osv.Model):
    """
    Tabela de Correlacao custos
    """
    _name = 'legado.custos'
    _columns = {
        'conta1': fields.integer('Conta 1', required=True),
        'conta2': fields.integer('Conta 2', required=True),
        'conta3': fields.integer('Conta 3', required=True),
        'conta4': fields.integer('Conta 4'),
        'conta5': fields.integer('Conta 5'),
        'centro_custo_id': fields.many2one("adm.empresa.centrocusto", 'Centro de custo', select=True, required=True),
        'evento_id': fields.many2one("gerencial.evento", 'Evento', required=True, select = True),
    }