# -*- coding: utf-8 -*-
import openobject.templating

class OESIGHelpActionEditor(openobject.templating.TemplateEditor):
    templates = ['/openerp/widgets/templates/sidebar.mako']
    ADD_OESIG_HELP_SECTION = u'id="sidebar"'

    def insert_oesig_help_link(self, output):
        # Insert the link on the line right after the link to open the
        # attachment form
        oesig_help_opener_insertion = output.index(
                '\n',
                output.index(self.ADD_OESIG_HELP_SECTION)) + 1
        return output[:oesig_help_opener_insertion] + '''
        <div id="OESIG-help-wizard" class="sideheader-a"><h2>${_("OESIG Help")}</h2></div>
                     <ul class="clean-a">
                         <li>
                             <a id="oesig_help" href="#oesig_help" target="_blank">${_("OESIG Help")}</a>
                         </li>
                     </ul>
                       <script type="text/javascript">
                           jQuery(document).ready(function() {
                               jQuery("#oesig_help").click(function() {
                                    jQuery(this).attr("href","http://www.sigsolucoes.net.br/tutoriais"+jQuery("#_terp_model").val());
                                   });
                               });
                       </script>
                       \n
''' + output[oesig_help_opener_insertion:]

    def edit(self, template, template_text):
        return self.insert_oesig_help_link(
            super(OESIGHelpActionEditor, self).edit(template, template_text))
