
class Evento(object):
    def __init__(self, data_hora, pais, estado, cidade, agencia, situacao, observacao, fim):
        self.data_hora = data_hora
        self.pais = pais
        self.estado = estado
        self.cidade = cidade
        self.agencia = agencia
        self.situacao = situacao
        self.observacao = observacao
        self.fim = fim

class Encomenda(Evento):
    def __init__(self, numero):
        self.numero = numero
        self.eventos = []
        self.codigo_rastreio_novo = False

    def setEvento(self, data_hora, pais, estado, cidade, agencia, situacao, observacao, fim):
        ev = Evento(data_hora, pais, estado, cidade, agencia, situacao, observacao, fim)
        self.eventos.append(ev)

    def setNovoNumero(self, novo_numero):
        self.codigo_rastreio_novo = novo_numero
        return


class Encomendas(Encomenda):
    def __init__(self):
        self.encomendas = {}

    def setEncomenda(self, numero):
        x = Encomenda(numero)
        self.encomendas[numero] = x

    def setEvento(self, numero,  data_hora, pais, estado, cidade, agencia, situacao, observacao, fim):
        if not self.encomendas.get(numero, False):
            self.setEncomenda(numero)
        x = self.getEncomenda(numero)
        x.setEvento(data_hora, pais, estado, cidade, agencia, situacao, observacao, fim)
        pass

    def setNovoNumero(self, numero, novo_numero):
        if not self.encomendas.get(numero, False):
            self.setEncomenda(numero)
        x = self.getEncomenda(numero)
        x.setNovoNumero(novo_numero)
        return

    def getEncomenda(self, encomenda):
        return self.encomendas.get(encomenda, False)

    def getEncomendas(self):
        return self.encomendas

    def getEncomendaCodigos(self):
        return self.encomendas.keys()


# teste das classes
# ec = Encomendas()
# ec.setEncomenda('1')
# ec.setEncomenda('3')
# ec.setEvento('1','ev1','texto1', 1, 1, 1, 1,1, 1)
# ec.setEvento('1','ev2','texto2', 1, 1, 1, 1,1, 1)
# ec.setEvento('3','ev3','texto3', 1, 1, 1, 1,1, 1)
# pass


import correios_br
import cainiao
import muambator
import rastreamentocorreios
