# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields

class rh_banco_horas(osv.Model):

    from funcoes import _get_name

    _name = 'rh.banco_horas'
    _columns = {
        'name' : fields.function(_get_name, method=True, string='Descricao', type='text',store=False),
        'rh_funcionario_id' : fields.many2one('rh.funcionario', 'Funcionario',ondelete='restrict', required=True, select=True),
        'rh_data' : fields.date('Data', required=True),
        'rh_qtd_hora' : fields.integer('Tempo(minutos)', required=True, help='Tempo em Minutos'),
        'rh_tipo' : fields.selection([('A', 'Automatico'), ('M', 'Manual')], 'Tipo lancamento', size=1),
        'rh_historico' : fields.text('Descricao'),
    }
    _order = 'rh_funcionario_id, rh_data desc, id'
    _defaults = {
            'rh_tipo' :  lambda *a: 'M',
            }
rh_banco_horas()

