# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields

class rh_jornada(osv.Model):
    _name = 'rh.jornada'
    _rec_name = 'rh_funcionario_id'
    _columns = {
        'rh_codigo' : fields.integer('Codigo', select=True),
        'rh_funcionario_id' : fields.many2one('rh.funcionario', 'Funcionario',ondelete='restrict', required=True, select=True),
        'rh_data' : fields.date('Data Inicio', required=True),
        'rh_dom' : fields.many2one('rh.expediente', 'Domingo', ondelete='restrict'),
        'rh_seg' : fields.many2one('rh.expediente', 'Segunda', ondelete='restrict'),
        'rh_ter' : fields.many2one('rh.expediente', 'Terca', ondelete='restrict'),
        'rh_qua' : fields.many2one('rh.expediente', 'Quarta', ondelete='restrict'),
        'rh_qui' : fields.many2one('rh.expediente', 'Quinta', ondelete='restrict'),
        'rh_sex' : fields.many2one('rh.expediente', 'Sexta', ondelete='restrict'),
        'rh_sab' : fields.many2one('rh.expediente', 'Sabado', ondelete='restrict'),
    }
    _order = 'rh_funcionario_id, rh_data desc'


