# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields

class rh_marcacao(osv.Model):

    from funcoes import _get_name_marcacao

    _name = 'rh.marcacao'
    _columns = {
        'name': fields.function(_get_name_marcacao, method=True, string='Descricao', type='text',
                                store=False),
        'rh_codigo': fields.integer('Codigo', select=True),
        'rh_funcionario_id': fields.many2one('rh.funcionario', 'Funcionario', ondelete='restrict',
                                             required=True, select=True),
        'rh_data': fields.date('Data', required=True, select=True),
        'rh_horario': fields.float('Hora', required=True),
    }
    _order = 'rh_funcionario_id, rh_data desc, rh_horario'
    _defaults = {
        'rh_codigo': lambda *a: 0,
    }


