# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields

class rh_periodo(osv.Model):

    from funcoes import _get_name_periodo

    _name = 'rh.periodo'
    _columns = {
        'name' : fields.function(_get_name_periodo, method=True, string='Descricao', type='text',store=False),
        'rh_codigo' : fields.integer('Codigo', select=True),
        'rh_expediente_id' : fields.many2one('rh.expediente', 'Expediente',ondelete='restrict', required=True),
        'rh_hora_entrada' : fields.float('Entrada', required=True),
        'rh_hora_saida' : fields.float('Saida', required=True),
    }



