#!/usr/bin/python
# -*- coding: utf-8 -*-

from openerp.osv import osv


class supervisor_cad_finalizadora(osv.Model):

    _inherit = 'supervisor.cad.finalizadora'

    def read_group(self, cr, uid, domain, fields, groupby, offset=0, limit=None, context=None,
                   orderby=False):
        res = super(supervisor_cad_finalizadora, self).read_group(cr, uid, domain, fields, groupby,
                                                                offset, limit, context, orderby)
        obj_configuracao = self.pool.get('supervisor.cfg.configuracao')
        cont = 1
        for i in res:
            if 'supfin_nro_empresa_count' in i:
                conf_ids = obj_configuracao.search(cr, uid,
                        [('supcfc_nro_empresa', '=', i.get('supfin_nro_empresa'))], context=context)
                if  conf_ids:
                    nome_empresa = obj_configuracao.read(cr, uid, conf_ids[0], ['supcfc_cliente'],
                                                         context=context).get('supcfc_cliente')
                    if not nome_empresa:
                        nome_empresa = 'Empresa sem nome %s' % cont
                        cont += 1

                    i['supfin_nro_empresa'] = nome_empresa
            else:
                del i['supfin_nro_empresa']

            if 'supfin_loja_count' in i:
                i['supfin_loja'] = 'Loja: %s' % i.get('supfin_loja')
            else:
                del i['supfin_loja']

            if 'supfin_codigo' in i:
                del i['supfin_codigo']
            if 'supfin_troco_maximo' in i:
                del i['supfin_troco_maximo']

        return res