# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from openerp.tools.translate import _


class supervisor_cad_itens(osv.Model):
    """
    Tabela de Cadastro de itens
    Prefixo: supite

    """
    _inherit = 'supervisor.cad.itens'
    _columns = {
        'supite_nro_empresa': fields.integer('Empresa', required=True, select=True),
    }

    _defaults = {
        'supite_nro_empresa': 0,
    }


    def _auto_init(self, cr, context=None):
        self._sql_constraints = [
        ('item_loja_uniq', 'unique (supite_codigo_item, supite_loja, supite_nro_empresa)',
         _('O codigo do item precisa ser unico para a empresa e loja')),
        ]
        super(supervisor_cad_itens, self)._auto_init(cr, context)
