# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
import time


class supervisor_cad_tributacao(osv.Model):
    """
    Tabela de Tributacao
    Prefixo: suptri
    """
    _inherit = 'supervisor.cad.tributacao'
    _columns = {
        'suptri_nro_empresa': fields.integer('Empresa', required=True, select=True),
    }

    _defaults = {
        'suptri_nro_empresa': 0,
    }

    def _auto_init(self, cr, context=None):
        self._sql_constraints = [
        ('suptri_codigo_trib_ecf_loja_caixa_uniq',
         'unique (suptri_nro_empresa, suptri_codigo_trib_ecf, suptri_loja)',
         'O codigo de tributacao na ecf precisa ser unico para o mesmo caixa, loja e empresa!'),
        ]
        super(supervisor_cad_tributacao, self)._auto_init(cr, context)