# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
import time


class supervisor_cfg_configuracao(osv.Model):
    """
    Tabela de configuracao
    supcfc
    """
    _inherit = 'supervisor.cfg.configuracao'
    _columns = {
        'supcfc_ip': fields.char('IP', size=20),
        'supcfc_banco': fields.char('Banco', size=30),
        'supcfc_usuario': fields.char('Usuario', size=30, help="Usuario do banco de dados"),
        'supcfc_senha': fields.char('Senha', size=20, help="Senha do banco de dados"),
        'supcfc_porta': fields.char('Porta', size=10, help="Porta do banco de dados"),
    }

