# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
import time


class supervisor_dav_capa(osv.Model):
    """
    Tabela de capa do DAV
    Prefixo: supdva
    """
    _inherit = 'supervisor.dav.capa'
    _columns = {
        'supdva_nro_empresa': fields.integer('Empresa', required=True, select=True),
    }

    _defaults = {
        'supdva_nro_empresa': 0,
    }
