# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
from os import path, listdir, remove
from fnmatch import fnmatch
from SigUtils.registro import Registro
import os
import importlib
from openerp.tools.translate import _
from datetime import datetime
from dateutil.parser import parse


class wizard_supervisor_importa_arquivo(osv.Model):

    _inherit = "wizard.supervisor.importa.arquivo"

    def atualiza_vals_promo(self, vals, promocao, cfg_empresa, context):
        'Implementado por heranca no supervisor_master_promocoes'
        super(wizard_supervisor_importa_arquivo, self).atualiza_vals_promo(vals, promocao, context)
        empresa = promocao.supproc_nro_empresa or cfg_empresa
        if empresa != cfg_empresa: # nao pega as promoes de outra empresa
            return

        vals['supproc_nro_empresa'] = empresa

