# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2013 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2013, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-NaoComercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields


class separacao_os(osv.Model):
    """
    Ordens de Servico de Separacao. (heranca)
    Relacionamento de Itens de Conferencia com Ordens de Servico.
    Criacao da ´flag´ que indica se a quantidade separada sera ou nao mostrada
    durante as operacoes de separacao no checkout.

    @author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    _name = 'separacao.os'  # seposv
    _inherit = 'separacao.os'  # wms/separacao/inherit/os_data

    _columns = {
        # ___________________________ One2Many _______________________________
        # Registro do historico de conferencia
        'seposv_conferencia_item_ids': fields.one2many('wms.conferencia.itens',
                                                       'wmscit_separacao_id',
                                                       'Item de confererencia')
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
