# -*- encoding: utf-8 -*-
"""
Copyright (C) 2009-2013 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2013, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-NaoComercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields


class recebimento_os(osv.Model):
    """
    Adiciona a coluna "recosv_enderecamento_ok" que mostra se todos os itens foram enderecados ou
    nao.

    @author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    # Funcoes utilizadas
    from funcoes import recosv_function_enderecamento_ok

    _name = 'recebimento.os'  # recosv
    _inherit = 'recebimento.os'  # recebimento/inherit/os/os_data

    _columns = {
        # ___________________________ One2Many _______________________________
        'recosv_enderecamento_item_ids': fields.one2many('wms.enderecamento.itens',
                                                         'wmseit_recebimento_os_id',
                                                         'Item de enderecamento'),

        # ___________________________ Function _______________________________
        'recosv_enderecamento_ok': fields.function(recosv_function_enderecamento_ok, type='boolean',
                                                   method=True, string='Enderecamento OK')
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
