# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2013 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2013, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields


class wizard_inventario_exportar_dados(osv.TransientModel):
    """
    Exporta dados do inventario para arquivo.

    @author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    from funcoes import wizied_field_selection_layout

    _name = 'wizard.inventario.exportar.dados'  # wizied

    _columns = {
        # ___________________________ Selection ______________________________
        'wizied_layout': fields.selection(wizied_field_selection_layout, 'Layout', type='integer',
                                          help='Layout de exportacao a ser utilizado.'),

        # ___________________________ Selection ______________________________
        'wizied_arquivo_nome': fields.char('Nome do arquivo', required=True,
                                           help='Caminho completo e nome do arquivo de exportacao.')
    }

    _defaults = {
        'wizied_layout': lambda *args: 715
    }


# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
