# -*- encoding: utf-8 -*-
"""
Copyright (C) 2009-2013 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2013, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields


class wms_etiqueta_modelo(osv.Model):
    """
    Modelos de etiqueta.

    @author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    _name = 'wms.etiqueta_modelo'  # etqmod
    _rec_name = 'etqmod_descricao'

    _columns = {
        # ___________________________ Many2One _______________________________
        'etqmod_modelo_id': fields.many2one('ir.model', 'Tabela', required=True),

        # ___________________________ Many2Many ______________________________
        'etqmod_campo_ids': fields.many2many('wms.etiqueta_campo',
                                             'etiquetamodelo_m2m_etiquetacampo', 'modelo_id',
                                             'campo_id', 'Nome do campo'),

        # ___________________________ Char ___________________________________
        'etqmod_descricao': fields.char('Descricao', size=64, required=True),

        # ___________________________ Binary _________________________________
        'etqmod_etiqueta': fields.binary('Arquivo de modelo da etiqueta', filters='*.txt, *.imp')
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
