# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2013 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2013, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""


# _______________________ wizard.mapa.separacao_______________________________
def wizmap_fields_selection_tipo(self, cr, uid, context=None):
    """
    Tipos de separacao.

    @param cr: {cursor} a linha atual do cursor do banco de dados,
    @param uid: {int} ID do usuario utilizado para a verificacao de perfil,
    @param context: {dict} um dicionario padrao para valores contextuais,
    @return: {list} valores de selecao do tipo de separacao.

    @author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>

    """

    context = context and context.copy() or {}
    result = [('SPC', 'Separacao por carga'), ('SPR', 'Separacao por rua')]

    return result

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4
