# -*- encoding: utf-8 -*-
"""
Copyright (C) 2009-2013 All Rights Reserved. Luiz Fernando Maciel França
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2013, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields


class transferencia_itens(osv.Model):
    """
    Transferencia.
    Numero da ordem de servico adicionado ao item de transferencia. (heranca)

    @author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    _name = 'wms.transferencia.itens'  # wmstit
    _inherit = 'wms.transferencia.itens'  # wms/transferencia/model/transferencia_itens_data

    _columns = {
        # Nr da ordem de servico de transferencia
        'transferencia_id': fields.many2one('transferencia.os', 'Ordem de servico')
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
