# -*- encoding: utf-8 -*-
"""
Copyright (C) 2009-2013 All Rights Reserved. Luiz Fernando Maciel França
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2013, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields


class wizard_transferencia_automatica(osv.TransientModel):
    """
    Transferencia automatica.

    @author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    _name = 'wizard.transferencia'  # wiztrf

    from funcoes import wiztrf_pulmao_livre, wiztrf_virtuais_ocupados

    _columns = {
        # ___________________________ Integer ________________________________
        'wiztrf_total_virtual': fields.integer('Enderecos virtuais ocupados',
                                               help='Total de enderecos virtuais ocupados que sofrerao movimentacao.'),
        'wiztrf_total_livre': fields.integer('Enderecos de pulmao livre',
                                             help='Total de enderecos livres que receberao as quantidades dos enderecos virtuais.')
    }

    _defaults = {
        'wiztrf_total_virtual': wiztrf_virtuais_ocupados,
        'wiztrf_total_livre': wiztrf_pulmao_livre
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
