# -*- encoding: utf-8 -*-
"""
Copyright (C) 2009-2013 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz:siginformatica.com.br>
                                -------

Copyleft (CC) 2013, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields


class wizard_wms_produto_sem_movimentacao(osv.TransientModel):
    """
    Produtos sem movimentacao no estoque.

    :author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    _name = 'wizard.wms.produto.sem.movimentacao'  # wizpsm

    _columns = {
        # ___________________________ Date ___________________________________
        'wizpsm_periodo_inicio': fields.date('Periodo inicial',
                                             help='Data inicial do periodo.'),
        'wizpsm_periodo_fim': fields.date('Periodo final',
                                          help='Data final do periodo.'),
        # ___________________________ Char ___________________________________
        'wizpsm_mensagem': fields.char('Mensagem', size=200),
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
